package info.lotosummary.software;
import java.io.*;

public class FileOutputNewLine extends Feedable {
    String pathName;
    StringBuffer os;

    public boolean ending(boolean csv) {
        if(csv) {
            for(;;) {
                os.append(separator);
                itemCount += 1;
                if(itemCount >= FIELD_COUNT) {
                    os.append(NEW_LINE);
                    break;
                }

            }

        } else {
            os.append(NEW_LINE);
        }

        String buffer = os.toString();
        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(pathName) );
            file.write(buffer);
            file.close();
            return true;
        } catch(IOException e2) {
            error = "IOException e2";
            return false;
        }

    }

    public FileOutputNewLine(String p) {
        pathName = p;
        os = new StringBuffer();
    }

    public long writing(String item) {
        os.append(item);
        os.append(separator);
        size += FIELD_SIZE;
        itemCount += 1;
        if(itemCount >= FIELD_COUNT) {
            os.append(NEW_LINE);
            size += NEW_LINE_SIZE;
            itemCount = 0;
        }

        return size;
    }

}
