package info.lotosummary.software;
import java.io.*;

public class FileOutputNewLineCount extends Feedable {
    String pathName;
    StringBuffer os;
    int limit;

    public boolean ending(boolean csv) {
        if(csv) {
            for(;;) {
                if(itemCount < FIELD_COUNT) {
                    os.append(separator);
                    itemCount += 1;
                } else {
                    if(lineCount < limit) {
                        os.append(NEW_LINE);
                    }

                    break;
                }

            }

        }

        String buffer = os.toString();
        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(pathName) );
            file.write(buffer);
            file.close();
            return true;
        } catch(IOException e2) {
            error = "IOException e2";
            return false;
        }

    }

    public FileOutputNewLineCount(String p, int l) {
        pathName = p;
        os = new StringBuffer();
        limit = l;
    }

    public long writing(String item) {
        os.append(item);
        os.append(separator);
        size += FIELD_SIZE;
        itemCount += 1;
        if(itemCount >= FIELD_COUNT) {
            os.append(NEW_LINE);
            lineCount += 1;
            if(lineCount >= limit) {
                itemCount = FIELD_COUNT;
                size = LARGE_SIZE;
            } else {
                itemCount = 0;
                size += NEW_LINE_SIZE;
            }

        }

        return size;
    }

}
