package info.lotosummary.software;
import java.io.*;

public class StandardOutputNewLine extends Feedable {

    public boolean ending(boolean csv) {
        if(csv) {
            for(;;) {
                System.out.print(separator);
                itemCount += 1;
                if(itemCount >= FIELD_COUNT) {
                    System.out.println("");
                    break;
                }

            }

        } else {
            System.out.println("");
        }

        return true;
    }

    public long writing(String item) {
        System.out.print( item + separator );
        size += FIELD_SIZE;
        itemCount += 1;
        if(itemCount >= FIELD_COUNT) {
            System.out.println("");
            size += NEW_LINE_SIZE;
            itemCount = 0;
        }

        return size;
    }

    public StandardOutputNewLine(){}
}

