package info.lotosummary.software;
import java.io.*;

public class StandardOutputNewLineCount extends Feedable {
    int limit;

    public boolean ending(boolean csv) {
        if(csv) {
            for(;;) {
                if(itemCount < FIELD_COUNT) {
                    System.out.print(separator);
                    itemCount += 1;
                } else {
                    if(lineCount < limit) {
                        System.out.println("");
                    }

                    break;
                }

            }

        }

        return true;
    }

    public long writing(String item) {
        System.out.print(item);
        System.out.print(separator);
        size += FIELD_SIZE;
        itemCount += 1;
        if(itemCount >= FIELD_COUNT) {
            System.out.println("");
            lineCount += 1;
            if(lineCount >= limit) {
                itemCount = FIELD_COUNT;
                size = LARGE_SIZE;
            } else {
                itemCount = 0;
                size += NEW_LINE_SIZE;
            }

        }

        return size;
    }

    public StandardOutputNewLineCount(int l) {
        limit = l;
    }

}
